# Celeste-AI resources

 - `./carts/celeste.p8`: Unmodified *Celeste Classic* cart
 - `./carts/hackcel.p8`: *Celeste Classic* modified with delays and debug
 - `./pico8`: An old version of PICO-8
 - `./images`: Miscellaneous images for pretty plots. Not used by scripts yet.


## PICO-8 setup
1. Run `./pico-8/linux/pico8`
2. Once it starts, type `folder`. This will open the PICO-8 root folder in your file browser.
3. Copy both carts in `./carts` into that folder.

## PICO-8 basics
 - `load name.p8`: load a game into memory
 - `run`: run that game
 - `folder`: open PICO-8 root in file browser
 - `shutdown`: exit PICO-8
 - `<escape key>`: toggle editor or exit a game.

That's all you need to know to train Celeste-AI.